import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.neighbors import KNeighborsClassifier

# Tenemos que cargar los datos del Iris y como son dos
# clase tenemos que usar solo dos de las tres 
D = np.loadtxt( "iris.csv", delimiter=',', skiprows=1 )
print( D.shape )

# No estoy usando los datos de la tercera clase
X = D[0:100, 0:2]
y = D[0:100, 4]

# Separamos los datos para entrenamiento y prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=2 )

# Realizamos al ajuste
modelo = KNeighborsClassifier( n_neighbors=5 )
modelo.fit(X_entrena, y_entrena)

precision = modelo.score( X_prueba, y_prueba )
print( precision )
